"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ad_record_1 = require("../records/ad.record");
const db_1 = require("../utils/db");
let ad;
let ad2;
beforeAll(async () => {
    ad = new ad_record_1.AdRecord({
        name: 'Testowa',
        description: 'dsasadsda',
        url: 'https://onet.pl/',
        price: 0,
        lat: 0,
        lon: 0,
    });
    ad2 = new ad_record_1.AdRecord({
        name: 'Testowa',
        description: 'dsasadsda',
        url: 'https://onet.pl/',
        price: 0,
        lat: 0,
        lon: 0,
    });
});
afterAll(async () => {
    await db_1.pool.end();
});
test('AdRecord returns data from database for one entry.', async () => {
    const add = await ad_record_1.AdRecord.getOne('abc');
    expect(add).toBeDefined();
    expect(add.id).toBe('abc');
    expect(add.name).toBe('Test');
});
test('AdRecord returns null from database for unexisting entry.', async () => {
    const add = await ad_record_1.AdRecord.getOne('...');
    expect(add).toBeNull();
});
// test('When database is null ListAll returns empty array', async () => {
//   const ads = await AdRecord.listAll();
//
//   expect(ads).toEqual([]);
// });
test('FindAll returns small amount of data.', async () => {
    const ads = await ad_record_1.AdRecord.findAll('');
    expect(ads).not.toEqual([]);
    expect(ads[0].price).toBeUndefined();
    expect(ads[0].description).toBeUndefined();
});
test('Insert method should return new id', async () => {
    const id = await ad.insert();
    expect(id).toBeDefined();
    expect(typeof id).toBe('string');
});
test('Insert inserts data to database', async () => {
    const id = await ad2.insert();
    const foundAd = await ad_record_1.AdRecord.getOne(id);
    expect(foundAd).toBeDefined();
    expect(foundAd).not.toBeNull();
    expect(foundAd.id).toBe(id);
});
//# sourceMappingURL=ad-record.test.js.map